## linux-ubuntu-modules-2.6.22 2.6.22-14.37tomoyo3

=== ubuntu/Makefile ===
#
# Makefile for Ubuntu additional drivers
#

include $(src)/.config

obj-$(CONFIG_ACPI_DEV)		+= acpi/dev_acpi.o
obj-$(CONFIG_ACPI_PCC)		+= acpi/pcc_acpi.o
obj-$(CONFIG_ACPI_SONY)		+= acpi/sony_acpi.o
obj-$(CONFIG_ACPI_TC1100)	+= acpi/tc1100-wmi.o

obj-$(CONFIG_AMT_HECI)		+= misc/heci/
obj-$(CONFIG_BLK_DEV_GNBD)	+= misc/gnbd.o
obj-$(CONFIG_BLK_DEV_DM_BBR)	+= misc/dm-bbr.o
obj-$(CONFIG_SND_BTSCO)		+= snd-bt-sco.o
obj-$(CONFIG_INPUT_ACERHK)	+= misc/acerhk.o
obj-$(CONFIG_INPUT_FSC_BTNS)	+= misc/fsc_btns.o
obj-$(CONFIG_AVERATEC_5100P)	+= misc/av5100.o
obj-$(CONFIG_PACKARDBELL_E5)	+= misc/pbe5.o
obj-$(CONFIG_LMPCM_USB)		+= misc/lmpcm_usb.o
obj-$(CONFIG_NOZOMI)		+= misc/nozomi.o

obj-$(CONFIG_NDISWRAPPER)	+= misc/ndiswrapper/
obj-$(CONFIG_MOL)		+= misc/mol/
obj-$(CONFIG_TIFM)		+= misc/tifm/

snd-bt-sco-objs			:= misc/btsco.o
CFLAGS_dm-bbr.o			+= -I$(srctree)/drivers/md

obj-$(CONFIG_ASFS_FS)		+= fs/asfs/
obj-$(CONFIG_GFS_FS)		+= fs/gfs/
obj-$(CONFIG_SQUASHFS)		+= fs/squashfs/
obj-$(CONFIG_UNION_FS)		+= fs/unionfs/

obj-$(CONFIG_USB_APPLEIR)	+= mactel/appleir.o

obj-$(CONFIG_GSPCA)		+= media/gspcav1/
obj-$(CONFIG_USB_OV511_NEW)	+= media/ov511/
obj-$(CONFIG_QUICKCAM)		+= media/quickcam/
obj-$(CONFIG_USB_UVCCAM)	+= media/usbvideo/
obj-$(CONFIG_USB_ISIGHT)	+= media/isight/
obj-$(CONFIG_LIRC_DEV)		+= media/lirc/
obj-$(CONFIG_SND_HDA_INTEL)	+= media/snd-hda-intel/
obj-$(CONFIG_DRM_PSB)		+= media/drm-poulsbo/
obj-$(CONFIG_IVTV_FB)		+= media/ivtv/

obj-$(CONFIG_NET_IPG)		+= net/ipg/
obj-$(CONFIG_E1000_ICH9)	+= net/e1000-ich9/
obj-$(CONFIG_NET_ATL2)		+= net/atl2/

obj-$(CONFIG_SECURITY_APPARMOR)	+= security/apparmor/

obj-$(CONFIG_NET_ACX)		+= wireless/acx/
obj-$(CONFIG_IPW3945)		+= wireless/ipw3945/
obj-$(CONFIG_IWLWIFI)		+= wireless/iwlwifi/
obj-$(CONFIG_USB_ATMEL)		+= wireless/at76/
obj-$(CONFIG_RTL8187)		+= wireless/rtl818x/
obj-$(CONFIG_PRISM2_USB)	+= wireless/prism2_usb/

ifneq ($(CONFIG_PRISM2_USB),)
obj-m				+= wireless/p80211/
endif
ifneq ($(CONFIG_RTL8187),)
obj-m				+= misc/eeprom_93cx6.o
endif

obj-$(CONFIG_RT2X00)		+= wireless/rt2x00/

obj-$(CONFIG_IPW2100_FS_AMILO_M7400) += wireless/fsam7400.o

obj-$(CONFIG_P54)		+= wireless/p54/
obj-$(CONFIG_MARVELL_8686)	+= wireless/sd8686/
obj-$(CONFIG_NET_RTL818X)	+= wireless/rtl8180/rtl_ieee80211/
obj-$(CONFIG_NET_RTL818X)	+= wireless/rtl8180/rtl8180/
obj-$(CONFIG_ET131X)		+= net/et131x/

obj-$(CONFIG_VMWARE) += vmblock/ vmhgfs/ vmmemctl/ vmxnet/

=== ubuntu/vmmemctl/Makefile ===
#!/usr/bin/make -f
#############################################################
# Copyright 1998 VMware, Inc.  All rights reserved. 
#############################################################
####
#### This program is free software; you can redistribute it and/or modify it
#### under the terms of the GNU General Public License as published by the
#### Free Software Foundation version 2 and no later version.
####
#### This program is distributed in the hope that it will be useful, but
#### WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
#### or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
#### for more details.
####
#### You should have received a copy of the GNU General Public License along
#### with this program; if not, write to the Free Software Foundation, Inc.,
#### 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA

####
####  VMware kernel module Makefile to be distributed externally
####

####
#### SRCROOT _must_ be a relative path.
####
SRCROOT = $(M)/vmmemctl
VM_CC=$(CC)
VM_CCVER=$(shell $(CC) -dumpversion)

HEADER_DIR = $(TOPDIR)/include
BUILD_DIR = $(HEADER_DIR)/..

DRIVER := vmmemctl

# Grep program
GREP = /bin/grep

vm_check_gcc = $(shell if $(CC) $(1) -S -o /dev/null -xc /dev/null \
        > /dev/null 2>&1; then echo "$(1)"; else echo "$(2)"; fi)
vm_check_file = $(shell if test -f $(1); then echo "yes"; else echo "no"; fi)

ifndef VM_KBUILD
VM_KBUILD := no
ifeq ($(call vm_check_file,$(BUILD_DIR)/Makefile), yes)
ifneq ($(call vm_check_file,$(BUILD_DIR)/Rules.make), yes)
VM_KBUILD := 26
endif
endif
export VM_KBUILD
endif

ifndef VM_KBUILD_SHOWN
ifeq ($(VM_KBUILD), no)
VM_DUMMY := $(shell echo >&2 "Using standalone build system.")
else
ifeq ($(VM_KBUILD), 24)
VM_DUMMY := $(shell echo >&2 "Using 2.4.x kernel build system.")
else
VM_DUMMY := $(shell echo >&2 "Using 2.6.x kernel build system.")
endif
endif
VM_KBUILD_SHOWN := yes
export VM_KBUILD_SHOWN
endif

ifneq ($(VM_KBUILD), no)

VMCCVER := $(shell $(CC) -dumpversion)

# If there is no version defined, we are in toplevel pass, not yet in kernel makefiles...
ifeq ($(VERSION),)

ifeq ($(VM_KBUILD), 24)
DRIVER_KO := $(DRIVER).o
else
DRIVER_KO := $(DRIVER).ko
endif

.PHONY: $(DRIVER_KO)

auto-build: $(DRIVER_KO)
	cp -f $< $(SRCROOT)/../$(DRIVER).o

# $(DRIVER_KO) is a phony target, so compare file times explicitly
$(DRIVER): $(DRIVER_KO)
	if [ $< -nt $@ ]; then cp -f $< $@; fi

# Pass gcc version down the chain, so we can detect if kernel attempts to use unapproved compiler
VM_CCVER := $(VMCCVER)
export VM_CCVER
VM_CC := $(CC)
export VM_CC

MAKEOVERRIDES := $(filter-out CC=%,$(MAKEOVERRIDES))

$(DRIVER_KO):
	make -C $(BUILD_DIR) SUBDIRS=$$PWD SRCROOT=$$PWD/$(SRCROOT) modules

else

ifneq ($(VM_CCVER), $(VMCCVER))
$(warning *** Inappropriate build environment: you wanted to use gcc \
 version $(VM_CCVER) while kernel attempts to use gcc version $(VMCCVER).)
$(error For proper build you'll have to replace $(CC) with symbolic \
 link to $(VM_CC))
endif

endif

include $(SRCROOT)/Makefile.kernel

ifdef TOPDIR
ifeq ($(VM_KBUILD), 24)

O_TARGET := $(DRIVER).o

obj-y := $($(DRIVER)-y)

include $(TOPDIR)/Rules.make
endif
endif

else

include $(SRCROOT)/Makefile.normal

endif

#.SILENT:

=== ubuntu/vmxnet/Makefile ===
#!/usr/bin/make -f
#############################################################
# Copyright 1998 VMware, Inc.  All rights reserved. 
#############################################################
####
#### This program is free software; you can redistribute it and/or modify it
#### under the terms of the GNU General Public License as published by the
#### Free Software Foundation version 2 and no later version.
####
#### This program is distributed in the hope that it will be useful, but
#### WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
#### or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
#### for more details.
####
#### You should have received a copy of the GNU General Public License along
#### with this program; if not, write to the Free Software Foundation, Inc.,
#### 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA

####
####  VMware kernel module Makefile to be distributed externally
####

####
#### SRCROOT _must_ be a relative path.
####
SRCROOT = $(M)/vmxnet
VM_CC=$(CC)
VM_CCVER=$(shell $(CC) -dumpversion)

HEADER_DIR = $(TOPDIR)/include
BUILD_DIR = $(HEADER_DIR)/..

DRIVER := vmxnet

# Grep program
GREP = /bin/grep

vm_check_gcc = $(shell if $(CC) $(1) -S -o /dev/null -xc /dev/null \
        > /dev/null 2>&1; then echo "$(1)"; else echo "$(2)"; fi)
vm_check_file = $(shell if test -f $(1); then echo "yes"; else echo "no"; fi)

ifndef VM_KBUILD
VM_KBUILD := no
ifeq ($(call vm_check_file,$(BUILD_DIR)/Makefile), yes)
ifneq ($(call vm_check_file,$(BUILD_DIR)/Rules.make), yes)
VM_KBUILD := 26
endif
endif
export VM_KBUILD
endif

ifndef VM_KBUILD_SHOWN
ifeq ($(VM_KBUILD), no)
VM_DUMMY := $(shell echo >&2 "Using standalone build system.")
else
ifeq ($(VM_KBUILD), 24)
VM_DUMMY := $(shell echo >&2 "Using 2.4.x kernel build system.")
else
VM_DUMMY := $(shell echo >&2 "Using 2.6.x kernel build system.")
endif
endif
VM_KBUILD_SHOWN := yes
export VM_KBUILD_SHOWN
endif

ifneq ($(VM_KBUILD), no)

VMCCVER := $(shell $(CC) -dumpversion)

# If there is no version defined, we are in toplevel pass, not yet in kernel makefiles...
ifeq ($(VERSION),)

ifeq ($(VM_KBUILD), 24)
DRIVER_KO := $(DRIVER).o
else
DRIVER_KO := $(DRIVER).ko
endif

.PHONY: $(DRIVER_KO)

auto-build: $(DRIVER_KO)
	cp -f $< $(SRCROOT)/../$(DRIVER).o

# $(DRIVER_KO) is a phony target, so compare file times explicitly
$(DRIVER): $(DRIVER_KO)
	if [ $< -nt $@ ]; then cp -f $< $@; fi

# Pass gcc version down the chain, so we can detect if kernel attempts to use unapproved compiler
VM_CCVER := $(VMCCVER)
export VM_CCVER
VM_CC := $(CC)
export VM_CC

MAKEOVERRIDES := $(filter-out CC=%,$(MAKEOVERRIDES))

$(DRIVER_KO):
	make -C $(BUILD_DIR) SUBDIRS=$$PWD SRCROOT=$$PWD/$(SRCROOT) modules

else

ifneq ($(VM_CCVER), $(VMCCVER))
$(warning *** Inappropriate build environment: you wanted to use gcc \
 version $(VM_CCVER) while kernel attempts to use gcc version $(VMCCVER).)
$(error For proper build you'll have to replace $(CC) with symbolic \
 link to $(VM_CC))
endif

endif

include $(SRCROOT)/Makefile.kernel

ifdef TOPDIR
ifeq ($(VM_KBUILD), 24)

O_TARGET := $(DRIVER).o

obj-y := $($(DRIVER)-y)

include $(TOPDIR)/Rules.make
endif
endif

else

include $(SRCROOT)/Makefile.normal

endif

#.SILENT:

=== ubuntu/media/drm-poulsbo/Makefile ===
obj-m += drm.o
obj-m += psb.o

drm-objs := drm_auth.o drm_bufs.o drm_context.o drm_dma.o drm_drawable.o \
		drm_drv.o drm_fops.o drm_ioctl.o drm_irq.o \
		drm_lock.o drm_memory.o drm_proc.o drm_stub.o drm_vm.o \
		drm_sysfs.o drm_pci.o drm_agpsupport.o drm_scatter.o \
		drm_memory_debug.o ati_pcigart.o drm_sman.o \
		drm_hashtab.o drm_mm.o drm_object.o drm_compat.o \
		drm_fence.o drm_ttm.o drm_bo.o drm_bo_move.o \
		drm_crtc.o drm_edid.o drm_modes.o

psb-objs := psb_drv.o psb_mmu.o psb_sgx.o psb_irq.o psb_fence.o psb_buffer.o \
		psb_gtt.o psb_setup.o psb_i2c.o psb_fb.o

=== ubuntu/media/isight/Makefile ===
obj-m		:= isight_usb.o
isight_usb-objs := uvc_driver.o uvc_queue.o uvc_v4l2.o uvc_video.o uvc_ctrl.o isight.o

=== ubuntu/media/ivtv/Makefile ===
CONFIG_VIDEO_ADV_DEBUG=y
CPPFLAGS += -I$(M)/../i2c-drivers -I$(M) -I$(M)/../driver

obj-m        += driver/ivtv-fb.o
obj-m        += i2c-drivers/saa717x.o

ifeq ($(CONFIG_VIDEO_ADV_DEBUG),y)
EXTRA_CFLAGS += -DCONFIG_VIDEO_ADV_DEBUG=1
endif

=== ubuntu/media/lirc/Makefile ===
include $(src)/../../.config

EXTRA_CFLAGS =-DIRCTL_DEV_MAJOR=61 -DLIRC_SERIAL_TRANSMITTER -I$(src)

obj-$(CONFIG_LIRC_DEV)		+= lirc_dev/lirc_dev.o
obj-$(CONFIG_LIRC_ATIUSB)	+= lirc_atiusb/lirc_atiusb.o
obj-$(CONFIG_LIRC_BT829)	+= lirc_bt829/lirc_bt829.o
obj-$(CONFIG_LIRC_CMDIR)	+= lirc_cmdir/lirc_cmdir.o lirc_cmdir/commandir.o
obj-$(CONFIG_LIRC_I2C)		+= lirc_i2c/lirc_i2c.o
obj-$(CONFIG_LIRC_IGORPLUGUSB)	+= lirc_igorplugusb/lirc_igorplugusb.o
obj-$(CONFIG_LIRC_IMON)		+= lirc_imon/lirc_imon.o
obj-$(CONFIG_LIRC_IT87)		+= lirc_it87/lirc_it87.o
obj-$(CONFIG_LIRC_MCEUSB)	+= lirc_mceusb/lirc_mceusb.o
obj-$(CONFIG_LIRC_MCEUSB2)	+= lirc_mceusb2/lirc_mceusb2.o
obj-$(CONFIG_LIRC_PVR150)	+= lirc_pvr150/lirc_pvr150.o
obj-$(CONFIG_LIRC_PARALLEL)	+= lirc_parallel/lirc_parallel.o
obj-$(CONFIG_LIRC_SASEM)	+= lirc_sasem/lirc_sasem.o
obj-$(CONFIG_LIRC_SERIAL)	+= lirc_serial/lirc_serial.o
obj-$(CONFIG_LIRC_SERIAL_IGOR)	+= lirc_serial_igor/lirc_serial_igor.o
obj-$(CONFIG_LIRC_SIR)		+= lirc_sir/lirc_sir.o
obj-$(CONFIG_LIRC_STREAMZAP)	+= lirc_streamzap/lirc_streamzap.o
obj-$(CONFIG_LIRC_TTUSBIR)	+= lirc_ttusbir/lirc_ttusbir.o
obj-$(CONFIG_LIRC_GPIO)		+= lirc_gpio/lirc_gpio.o
obj-$(CONFIG_LIRC_TTUSBIR)	+= lirc_ttusbir/lirc_ttusbir.o
lirc_gpio/lirc_gpio-objs 	+= lirc_gpio/bttv_deprecated.o

=== ubuntu/media/usbvideo/Makefile ===
obj-m		:= uvcvideo.o
uvcvideo-objs   := uvc_driver.o uvc_queue.o uvc_v4l2.o uvc_video.o uvc_ctrl.o

=== ubuntu/security/apparmor/Makefile ===
# Makefile for AppArmor Linux Security Module
#
obj-m += apparmor.o

apparmor-y := main.o list.o procattr.o lsm.o apparmorfs.o \
	      module_interface.o match.o

quiet_cmd_make-caps = GEN     $@
cmd_make-caps = sed -n -e "/CAP_FS_MASK/d" -e "s/^\#define[ \\t]\\+CAP_\\([A-Z0-9_]\\+\\)[ \\t]\\+\\([0-9]\\+\\)\$$/[\\2]  = \"\\1\",/p" $< | tr A-Z a-z > $@

quiet_cmd_make-af = GEN     $@
cmd_make-af = sed -n -e "/AF_MAX/d" -e "/AF_LOCAL/d" -e "s/^\#define[ \\t]\\+AF_\\([A-Z0-9_]\\+\\)[ \\t]\\+\\([0-9]\\+\\)\\(.*\\)\$$/[\\2]  = \"\\1\",/p" $< | tr A-Z a-z > $@

$(obj)/main.o : $(obj)/capability_names.h $(obj)/af_names.h
$(obj)/capability_names.h : $(srctree)/include/linux/capability.h
	$(call cmd,make-caps)
$(obj)/af_names.h : $(srctree)/include/linux/socket.h
	$(call cmd,make-af)

=== ubuntu/wireless/iwlwifi/Makefile ===
obj-m += mac80211/origin/net/mac80211/
obj-m += iwlwifi/origin/

=== ubuntu/wireless/rt2x00/Makefile ===
rt2x00lib-objs := rt2x00dev.o rt2x00mac.o rt2x00rfkill.o rt2x00firmware.o

EXTRA_CFLAGS = -DCONFIG_RT2X00_LIB_RFKILL -DCONFIG_RT2X00_LIB_FIRMWARE -I$(src)

# rt2x00debug.o -DCONFIG_RT2X00_LIB_DEBUGFS

obj-m += rt2x00lib.o rt2x00pci.o rt2x00usb.o rt2400pci.o rt2500pci.o \
	rt61pci.o rt2500usb.o rt73usb.o eeprom_93cx6.o

=== ubuntu/wireless/iwlwifi/iwlwifi/Makefile ===
# 
# Makefile for out-of-tree iwlwifi project
#
# Portion of Makefile allowing out-of-tree module building is derived from
# code provided by Peter Johanson
#
# The rest of the Makefile is Copyright (C) 2007 Intel Corporation
#

export CONFIG_IWLWIFI = y
export CONFIG_IWL3945 ?= m
export CONFIG_IWL4965 ?= m
export CONFIG_IWLWIFI_SPECTRUM_MEASUREMENT ?= y
export CONFIG_IWLWIFI_DEBUG ?= y
export CONFIG_IWLWIFI_HT ?= y
export CONFIG_IWLWIFI_HT_AGG ?= y
export CONFIG_IWLWIFI_SENSITIVITY ?= y
export CONFIG_IWLWIFI_QOS ?= y
export IWLWIFI_VERSION ?= test

ifneq ('$(notdir $(if $(realpath /), $(realpath ${SHELL}), ${SHELL}))','bash')
$(warning )
$(warning WARNING: $$SHELL not set to bash.)
$(warning If you experience build errors, try)
$(warning 'make SHELL=/bin/bash'.)
$(warning )
endif

ifeq ($(KSRC),)
export KSRC_OUTPUT ?= /lib/modules/$(shell uname -r)/build
else
export KSRC_OUTPUT ?= $(KSRC)
endif
export KSRC ?= /lib/modules/$(shell uname -r)/source
export MAC80211_INC ?= $(KSRC)/include/net
export KMISC ?= /lib/modules/$(shell uname -r)/kernel/drivers/net/wireless
export KVER ?= $(shell uname -r)

# If a compatible/ directory exists then build from it, else build
# from the origin/ sources.
#
ifeq ($(DEVMODE),y)
DIR=origin/
else
DIR=compatible/
endif

ifeq ($(CONFIG_IWL4965),m)
	list-m += iwl4965
endif

ifeq ($(CONFIG_IWL3945),m)
	list-m += iwl3945
endif

ifeq ($(CONFIG_IWLWIFI_DEBUG),y)
	EXTRA_CFLAGS += -DCONFIG_IWLWIFI_DEBUG=y
endif

ifeq ($(CONFIG_IWLWIFI_SPECTRUM_MEASUREMENT),y)
	EXTRA_CFLAGS += -DCONFIG_IWLWIFI_SPECTRUM_MEASUREMENT=y
endif

ifeq ($(CONFIG_IWLWIFI_HT),y)
	EXTRA_CFLAGS += -DCONFIG_IWLWIFI_HT=y
endif
ifeq ($(CONFIG_IWLWIFI_HT_AGG),y)
	EXTRA_CFLAGS += -DCONFIG_IWLWIFI_HT_AGG=y
endif

ifeq ($(CONFIG_IWLWIFI_SENSITIVITY),y)
	 EXTRA_CFLAGS += -DCONFIG_IWLWIFI_SENSITIVITY=y
endif

ifeq ($(CONFIG_IWLWIFI_QOS),y)
	EXTRA_CFLAGS += -DCONFIG_IWLWIFI_QOS=y
endif

export EXTRA_CFLAGS

all:  modules utils 

utils:
	@[ ! -d util ] || make -C util

check_inc:

snapshot:
	scripts/make_snapshot

legacy:
	scripts/make_legacy

clean:
	@echo 'Removing stale, temporary, and built files...'
	@[ ! -d util ] || make -C util clean || true
	@rm -rf compatible
	@for i in origin .; do                      	       \
		rm -f $$i/*.{mod.c,mod,o,ko,rej,orig}          \
			$$i/.*.{stamp,flags,cmd}               \
			$$i/.*lst $$i/*.lst $$i/*~ $$i/.*.o.d  \
			$$i/Module.symvers ;                   \
	done
	@rm -rf tmp .tmp_versions compatible

codingstyle:
	@echo "Running indent on sources..."
	@for file in $$(egrep "([^#]*\.h)|([^#]*\.c)" FILES) ; do      \
		indent -npro -kr -i8 -ts8 -sob -l80 -ss -ncs "$$file"; \
		sed -i -e "s:\ *\$$::g" -e "s:\t*\$$::g" $$file;       \
	done

check:
	@echo "Checking sources for comment problems..."
	@scripts/check_comments origin/*.[ch]
	@echo "Checking sources for > 80 problems..."
	@scripts/check_80 origin/*.[ch]

whitespace:
	@echo "Cleaning label and trailing whitespace issues..."
	@scripts/clean_whitespace origin/*.[ch]
	@scripts/clean_labels origin/*.[ch]

dist:
	@scripts/make_snapshot $(IWLWIFI_VERSION)	

distclean: clean
	rm -f tags TAGS

sparse: check_inc source
	@echo "Warning: Compiling in Check Mode!!!"
	$(MAKE) C=2 CF="-Wall -D__CHECK_ENDIAN__" -C $(KSRC) O=$(KSRC_OUTPUT) M=$(PWD)/${DIR} modules

ifeq ($(DEVMODE),y)
modules:
	@echo "Warning: In DEVMOD: No compatability checks are performed!!!"
	$(MAKE) -C $(KSRC) O=$(KSRC_OUTPUT) M=$(PWD)/${DIR} EXTRA_CFLAGS="$(EXTRA_CFLAGS)" modules
else
modules: check_inc source
	$(MAKE) -C $(KSRC) O=$(KSRC_OUTPUT) M=$(PWD)/${DIR} EXTRA_CFLAGS="$(EXTRA_CFLAGS)" modules
endif

patch_kernel: source
	@scripts/patch_kernel $(KSRC)

install: $(addprefix $(DIR),$(addsuffix .ko,$(list-m)))
	@install -d $(KMISC)
	@install -m 644 -c $^ $(KMISC)
	@/sbin/depmod -a ${KVER}
	@echo -e "\nModule " $^ "(s) installed into:\n\t$(KMISC)"
	@echo -e "\nDon't forget to copy firmware to your hotplug's firmware directory "
	@echo "and have the hotplug tools in place."
	@echo -e "\nSee INSTALL for more information."

uninstall:
	rm -rf $(addprefix $(KMISC)/,$(addsuffix .ko,$(list-m)))
	/sbin/depmod -a ${KVER}

check_version: 
	@[ -e compatible/kversion ] && \
		[ "${KSRC}" != "$$(cat compatible/kversion)" ] && \
		echo -e \
"'compatible/' version does not match KSRC.  Try 'make clean'.\n" && \
exit 1 || exit 0

compatible/kversion: \
        $(shell find origin -type f)  \
        $(shell find patches -type f) \
        $(shell find scripts -type f)
	@[ -e compatible/kversion ] && \
		[ "${KSRC}" != "$$(cat compatible/kversion)" ] && \
		exit 1 || exit 0
	@scripts/generate_compatible origin; rc=$$?; \
	chmod a-w compatible/* -R; \
	echo ${KSRC} > compatible/kversion; \
	if [ $${rc} -eq 0 ]; then \
		exit 0; \
	else \
		echo -e "\nMakefile has been modified" \
			"by generate_compatible, please run \`make' again\n"; \
		exit 1; \
	fi


source: check_version compatible/kversion

.phony: check_inc check_valid

## linux-ubuntu-modules-2.6.22 2.6.22-14.37

=== debian/changelog ===
linux-ubuntu-modules-2.6.22 (2.6.22-14.37) gutsy; urgency=low

  [Mario Limonciello]

  * Fix ivtv segfaulting
    - LP: #147886

 -- Ben Collins <bcollins@ubuntu.com>  Fri, 12 Oct 2007 15:32:37 -0400

linux-ubuntu-modules-2.6.22 (2.6.22-14.36) gutsy; urgency=low

  [Kyle McMartin]

  * add cell flavour to linux-ubuntu-modules

  [Soren Hansen]

  * fix vmware drivers header paths

  [Mario Limonciello]

  * Fix ivtv segfaulting
    - LP: #147886

 -- Ben Collins <bcollins@ubuntu.com>  Fri, 12 Oct 2007 10:51:02 -0400

linux-ubuntu-modules-2.6.22 (2.6.22-14.35) gutsy; urgency=low

  [Kyle McMartin]

  * update heci to 3.1.0.31

  [Soren Hansen]

  * Include modules from vmware tools and enable them for -virtual only

 -- Kyle McMartin <kyle@ubuntu.com>  Tue, 09 Oct 2007 01:39:47 +0000

linux-ubuntu-modules-2.6.22 (2.6.22-13.34) gutsy; urgency=low

  * unionfs: Revert unionfs-2.1 to 1.4 with fixes for AppArmor VFS changes
    - LP: #144945


 -- Ben Collins <bcollins@ubuntu.com>  Mon, 08 Oct 2007 10:59:51 -0400

linux-ubuntu-modules-2.6.22 (2.6.22-13.33) gutsy; urgency=low

  [Ben Collins]

  * ubuntu/d-i: Add atl2 module to udeb
    - LP: #148532

  [Matthew Garrett]

  * Work around uvc suspend issues
    - LP: #147757
  * Force-enable speakers on recent Thinkpads
    - LP: #140609

  [Tim Gardner]

  * Added et131x Gigabit ethernet driver support.
    - LP: #102291
  * AppArmor patch for disconnected path reporting
  * prism javelin/xbow works out-of-box, but the module is not loaded by
    default
    - LP: #133823
  * System freeze when bringing up rt2500pci interface
    - LP: #129183
  * [xps1330] microphone built-in doesn't work
    - LP: #147682
  * FUJITSU SIEMENS XTB70 snd-hda-intel fix
    - LP: #147827
  * Add ivtv-fb and saa717x support
    - LP: #147886

 -- Kyle McMartin <kyle@ubuntu.com>  Thu, 04 Oct 2007 16:09:03 +0000

linux-ubuntu-modules-2.6.22 (2.6.22-12.32) gutsy; urgency=low

  [Ben Collins]

  * snd-hda-intel: Patch to fix regression in sigmatel
    - LP: #135833

  [Kyle McMartin]

  * update unionfs to 2.1.4

  [Tim Gardner]

  * Enable iwl3945
    - LP: #144501
  * Rename rc80211_simple to iwlwifi_rc80211_simple
    - LP: #144079

 -- Kyle McMartin <kyle@ubuntu.com>  Mon, 24 Sep 2007 21:56:44 -0400

linux-ubuntu-modules-2.6.22 (2.6.22-12.31) gutsy; urgency=low

  [Ben Collins]

  * acx: Add proper config defines to get a proper build
    - LP: #118539

 -- Ben Collins <bcollins@ubuntu.com>  Sat, 22 Sep 2007 12:08:54 -0400

linux-ubuntu-modules-2.6.22 (2.6.22-12.30) gutsy; urgency=low

  [Kyle McMartin]

  * fix apparmor when auditd is not running

 -- Kyle McMartin <kyle@ubuntu.com>  Fri, 21 Sep 2007 12:12:44 -0400

linux-ubuntu-modules-2.6.22 (2.6.22-12.29) gutsy; urgency=low

  [Ben Collins]

  * ABI bump for -12
  * ubuntu: Add amd64 to xen target

  [Chuck Short]

  * Add Attansic Gigabit Ethernet support
    - LP: #77725

  [Mario Limonciello]

  * Create lirc_serial_igor based from lirc_serial
    - LP: #138247

  [Phillip Lougher]

  * Update Unionfs to 2.1.3 and patch for apparmor VFS changes
  * Various hacks and bug fixes for Unionfs 2.1.3
    - LP: #138915
  * More Unionfs 2.1.3 bug hacks and bug fixes

  [Tim Gardner]

  * Update iwlwifi to 0.1.15
    - LP: #137441
  * Update iwlwifi to 0.1.16
  * Add provenance for Attansic L2 ethernet driver
    - LP: #77725
  * Forward ported rtl818x from Feisty
  * Update iwlwifi to 1.1.0
    - LP: #141000
  * ESSID gets truncated
    - LP: #74672

 -- Ben Collins <bcollins@ubuntu.com>  Thu, 20 Sep 2007 14:25:15 -0400

linux-ubuntu-modules-2.6.22 (2.6.22-11.28) gutsy; urgency=low

  [Ben Collins]

  * apparmor: Fix Makefile to actually build
  * apparmor: Fix file_mmap handler declaration

 -- Ben Collins <bcollins@ubuntu.com>  Fri, 07 Sep 2007 15:59:35 -0400

linux-ubuntu-modules-2.6.22 (2.6.22-11.27) gutsy; urgency=low

  [Ben Collins]

  * ubuntu: lpia needs build_arch=i386

 -- Ben Collins <bcollins@ubuntu.com>  Fri, 07 Sep 2007 15:28:44 -0400

linux-ubuntu-modules-2.6.22 (2.6.22-11.26) gutsy; urgency=low

  [Ben Collins]

  * ubuntu: use DEB_HOST_ARCH.

 -- Ben Collins <bcollins@ubuntu.com>  Fri, 07 Sep 2007 14:13:14 -0400

linux-ubuntu-modules-2.6.22 (2.6.22-11.25) gutsy; urgency=low

  [Amit Kucheria]

  * Marvell SDIO 8686 WLAN driver

  [Ben Collins]

  * uvcvideo: Update to latest code.
  * snd-hda-intel: stac9200 fixups for Dell hw
    - Bug #119457
  * snd-hda-intel: Fix sound volume on MacBook Pro (Rev 3)
    - Bug #125332
  * ubuntu: Add lpia build files
  * p54: Include dma-mapping.h, fixes sparc FTBFS

  [Kyle McMartin]

  * update apparmor to version 10.3
  * update unionfs to version 2.1
  * fix unionfs Makefile
  * provide apparmor-2.1 instead of apparmor-2.0

  [Mario Limonciello]

  * Update configuration files
  * Fix segfaulting lirc_serial
  * Fix mceusb2 for HP Remotes

  [Phillip Lougher]

  * add apparmor fixes to unionfs 2.1

  [Tim Gardner]

  * add ttusbir module to Makefile
  * Add p54 support.
  * Fix Dell Inspriron 1420 sound quirk.
    - Bug #119898
  * Add support for Analog Devices 1984 and 1988.
    - Bug #122560
  * prism2 missing ifdef.
    - Bug #121959
  * release 2.6.22-10.25
  * Poulsbo HDA Intel: Add B1 stepping fixup
    - Bug #134626
  * re-release 2.6.22-10.25
  * add driver for special buttons on Fujitsu tablet PCs
    - Bug #121962
  * Added quirk support for Dell XPS M1330
    - Bug #134196
  * normalize ipw3945 association behaviour
    - Bug #128360

  [Matthew Garrett]

  * Add driver for the USB iSight -
  * Add the latest tifm driver from http://tifm.berlios.de - adds memory
    stick

 -- Ben Collins <bcollins@ubuntu.com>  Fri, 07 Sep 2007 12:44:28 -0400

linux-ubuntu-modules-2.6.22 (2.6.22-10.24) gutsy; urgency=low

  [Kyle McMartin]

  * revert to stock snd-hda-intel code
  * fix 3-udebs.mk to call depmod with path

  [Tim Gardner]

  * Lirc SIR & TTUSBIR Support

 -- Kyle McMartin <kyle@ubuntu.com>  Mon, 27 Aug 2007 15:31:01 +0000



=== debian/control ===
Source: linux-ubuntu-modules-2.6.22
Section: base
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 3), module-init-tools, kernel-wedge (>= 2.24ubuntu1), gcc-4.1-hppa64 [hppa], binutils-hppa64 [hppa], linux-headers-2.6.22-14-386 [i386], linux-headers-2.6.22-14-cell [powerpc], linux-headers-2.6.22-14-generic [i386 amd64], linux-headers-2.6.22-14-hppa32 [hppa], linux-headers-2.6.22-14-hppa64 [hppa], linux-headers-2.6.22-14-itanium [ia64], linux-headers-2.6.22-14-lpia [lpia], linux-headers-2.6.22-14-lpiacompat [lpia], linux-headers-2.6.22-14-mckinley [ia64], linux-headers-2.6.22-14-powerpc [powerpc], linux-headers-2.6.22-14-powerpc-smp [powerpc], linux-headers-2.6.22-14-powerpc64-smp [powerpc], linux-headers-2.6.22-14-rt [i386 amd64], linux-headers-2.6.22-14-server [i386 amd64], linux-headers-2.6.22-14-sparc64 [sparc], linux-headers-2.6.22-14-sparc64-smp [sparc], linux-headers-2.6.22-14-ume [i386], linux-headers-2.6.22-14-virtual [i386], linux-headers-2.6.22-14-xen [i386 amd64]


Package: linux-ubuntu-modules-2.6.22-14-386
Architecture: i386
Section: base
Priority: optional
Provides: ndiswrapper-modules-1.9, apparmor-modules-2.1
Depends: linux-image-2.6.22-14-386
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on i386
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 i386.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-386 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-ubuntu-modules-2.6.22-14-cell
Architecture: powerpc
Section: base
Priority: optional
Provides: apparmor-modules-2.1
Depends: linux-image-2.6.22-14-cell
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on PowerPC Cell
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 PowerPC Cell.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-cell meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-ubuntu-modules-2.6.22-14-generic
Architecture: i386 amd64
Section: base
Priority: optional
Provides: ndiswrapper-modules-1.9, apparmor-modules-2.1
Depends: linux-image-2.6.22-14-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-ubuntu-modules-2.6.22-14-hppa32
Architecture: hppa
Section: base
Priority: optional
Provides: rhcs-modules2-1, apparmor-modules-2.1
Depends: linux-image-2.6.22-14-hppa32
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on 32-bit HP PA-RISC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 32-bit HP PA-RISC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-hppa32 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-ubuntu-modules-2.6.22-14-hppa64
Architecture: hppa
Section: base
Priority: optional
Provides: apparmor-modules-2.1
Depends: linux-image-2.6.22-14-hppa64
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on 64-bit HP PA-RISC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 64-bit HP PA-RISC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-hppa64 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-ubuntu-modules-2.6.22-14-itanium
Architecture: ia64
Section: base
Priority: optional
Provides: apparmor-modules-2.1
Depends: linux-image-2.6.22-14-itanium
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on Itanium SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 Itanium SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-itanium meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-ubuntu-modules-2.6.22-14-lpia
Architecture: lpia
Section: base
Priority: optional
Provides: ndiswrapper-modules-1.9, apparmor-modules-2.1
Depends: linux-image-2.6.22-14-lpia
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on lpia
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 lpia.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-lpia meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-ubuntu-modules-2.6.22-14-lpiacompat
Architecture: lpia
Section: base
Priority: optional
Provides: ndiswrapper-modules-1.9, apparmor-modules-2.1
Depends: linux-image-2.6.22-14-lpiacompat
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on lpia
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 lpia.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-lpiacompat meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-ubuntu-modules-2.6.22-14-mckinley
Architecture: ia64
Section: base
Priority: optional
Provides: apparmor-modules-2.1
Depends: linux-image-2.6.22-14-mckinley
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on Itanium II SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 Itanium II SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-mckinley meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-ubuntu-modules-2.6.22-14-powerpc
Architecture: powerpc
Section: base
Priority: optional
Provides: apparmor-modules-2.1
Depends: linux-image-2.6.22-14-powerpc
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on 32-bit PowerPC
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 32-bit PowerPC.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-powerpc meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-ubuntu-modules-2.6.22-14-powerpc64-smp
Architecture: powerpc
Section: base
Priority: optional
Provides: apparmor-modules-2.1
Depends: linux-image-2.6.22-14-powerpc64-smp
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on 64-bit PowerPC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 64-bit PowerPC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-powerpc64-smp meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-ubuntu-modules-2.6.22-14-powerpc-smp
Architecture: powerpc
Section: base
Priority: optional
Provides: apparmor-modules-2.1
Depends: linux-image-2.6.22-14-powerpc-smp
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on 32-bit PowerPC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 32-bit PowerPC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-powerpc-smp meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-ubuntu-modules-2.6.22-14-rt
Architecture: i386 amd64
Section: base
Priority: optional
Provides: ndiswrapper-modules-1.9, apparmor-modules-2.1
Depends: linux-image-2.6.22-14-rt
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-rt meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-ubuntu-modules-2.6.22-14-server
Architecture: i386 amd64
Section: base
Priority: optional
Provides: ndiswrapper-modules-1.9, apparmor-modules-2.1
Depends: linux-image-2.6.22-14-server
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-server meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-ubuntu-modules-2.6.22-14-sparc64
Architecture: sparc
Section: base
Priority: optional
Provides: apparmor-modules-2.1
Depends: linux-image-2.6.22-14-sparc64
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on 64-bit UltraSPARC
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 64-bit UltraSPARC.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-sparc64 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-ubuntu-modules-2.6.22-14-sparc64-smp
Architecture: sparc
Section: base
Priority: optional
Provides: apparmor-modules-2.1
Depends: linux-image-2.6.22-14-sparc64-smp
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on 64-bit UltraSPARC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 64-bit UltraSPARC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-sparc64-smp meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-ubuntu-modules-2.6.22-14-ume
Architecture: i386
Section: base
Priority: optional
Provides: ndiswrapper-modules-1.9, apparmor-modules-2.1
Depends: linux-image-2.6.22-14-ume
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on Embedded/Mobile
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 Embedded/Mobile.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-ume meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-ubuntu-modules-2.6.22-14-virtual
Architecture: i386
Section: base
Priority: optional
Provides: apparmor-modules-2.1
Depends: linux-image-2.6.22-14-virtual
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on virtualised hardware
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 virtualised hardware.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-virtual meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-ubuntu-modules-2.6.22-14-xen
Architecture: i386 amd64
Section: base
Priority: optional
Provides: ndiswrapper-modules-1.9, apparmor-modules-2.1
Depends: linux-image-2.6.22-14-xen

## linux-ubuntu-modules-2.6.22 2.6.22-14.37tomoyo3

=== debian/changelog ===
linux-ubuntu-modules-2.6.22 (2.6.22-14.37tomoyo3) gutsy-experimental; urgency=low

  * branched for tomoyo linux kernels.

 -- Fumihito YOSHIDA <hito@kugutsu.org>  Wed, 21 Nov 2007 19:33:23 +0900

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: linux-ubuntu-modules-2.6.22
 Section: base
 Priority: optional
-Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
+Maintainer: Fumihito YOSHIDA <hito@kugutsu.org>
 Standards-Version: 3.6.1
-Build-Depends: debhelper (>= 3), module-init-tools, kernel-wedge (>= 2.24ubuntu1), gcc-4.1-hppa64 [hppa], binutils-hppa64 [hppa], linux-headers-2.6.22-14-386 [i386], linux-headers-2.6.22-14-cell [powerpc], linux-headers-2.6.22-14-generic [i386 amd64], linux-headers-2.6.22-14-hppa32 [hppa], linux-headers-2.6.22-14-hppa64 [hppa], linux-headers-2.6.22-14-itanium [ia64], linux-headers-2.6.22-14-lpia [lpia], linux-headers-2.6.22-14-lpiacompat [lpia], linux-headers-2.6.22-14-mckinley [ia64], linux-headers-2.6.22-14-powerpc [powerpc], linux-headers-2.6.22-14-powerpc-smp [powerpc], linux-headers-2.6.22-14-powerpc64-smp [powerpc], linux-headers-2.6.22-14-rt [i386 amd64], linux-headers-2.6.22-14-server [i386 amd64], linux-headers-2.6.22-14-sparc64 [sparc], linux-headers-2.6.22-14-sparc64-smp [sparc], linux-headers-2.6.22-14-ume [i386], linux-headers-2.6.22-14-virtual [i386], linux-headers-2.6.22-14-xen [i386 amd64]
+Build-Depends: debhelper (>= 3), module-init-tools, kernel-wedge (>= 2.24ubuntu1), gcc-4.1-hppa64 [hppa], binutils-hppa64 [hppa], linux-headers-2.6.22-14-386 [i386], linux-headers-2.6.22-14-ccs [i386], linux-headers-2.6.22-14-cell [powerpc], linux-headers-2.6.22-14-generic [i386 amd64], linux-headers-2.6.22-14-hppa32 [hppa], linux-headers-2.6.22-14-hppa64 [hppa], linux-headers-2.6.22-14-itanium [ia64], linux-headers-2.6.22-14-lpia [lpia], linux-headers-2.6.22-14-lpiacompat [lpia], linux-headers-2.6.22-14-mckinley [ia64], linux-headers-2.6.22-14-powerpc [powerpc], linux-headers-2.6.22-14-powerpc-smp [powerpc], linux-headers-2.6.22-14-powerpc64-smp [powerpc], linux-headers-2.6.22-14-rt [i386 amd64], linux-headers-2.6.22-14-server [i386 amd64], linux-headers-2.6.22-14-sparc64 [sparc], linux-headers-2.6.22-14-sparc64-smp [sparc], linux-headers-2.6.22-14-tomoyo1.5.1 [i386], linux-headers-2.6.22-14-ume [i386], linux-headers-2.6.22-14-virtual [i386], linux-headers-2.6.22-14-xen [i386 amd64]
 
 
 Package: linux-ubuntu-modules-2.6.22-14-386
@@ -19,6 +19,21 @@
  .
  You likely do not want to install this package directly. Instead, install
  the linux-386 meta-package, which will ensure that upgrades work
+ correctly, and that supporting packages are also installed.
+
+Package: linux-ubuntu-modules-2.6.22-14-ccs
+Architecture: i386
+Section: base
+Priority: optional
+Provides: ndiswrapper-modules-1.9, apparmor-modules-2.1
+Depends: linux-image-2.6.22-14-ccs
+Pre-Depends: dpkg (>= 1.10.24)
+Description: Ubuntu supplied Linux modules for version 2.6.22 on i386
+ This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
+ i386.
+ .
+ You likely do not want to install this package directly. Instead, install
+ the linux-ccs meta-package, which will ensure that upgrades work
  correctly, and that supporting packages are also installed.
 
 Package: linux-ubuntu-modules-2.6.22-14-cell
@@ -156,6 +171,21 @@
  the linux-powerpc meta-package, which will ensure that upgrades work
  correctly, and that supporting packages are also installed.
 
+Package: linux-ubuntu-modules-2.6.22-14-powerpc-smp
+Architecture: powerpc
+Section: base
+Priority: optional
+Provides: apparmor-modules-2.1
+Depends: linux-image-2.6.22-14-powerpc-smp
+Pre-Depends: dpkg (>= 1.10.24)
+Description: Ubuntu supplied Linux modules for version 2.6.22 on 32-bit PowerPC SMP
+ This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
+ 32-bit PowerPC SMP.
+ .
+ You likely do not want to install this package directly. Instead, install
+ the linux-powerpc-smp meta-package, which will ensure that upgrades work
+ correctly, and that supporting packages are also installed.
+
 Package: linux-ubuntu-modules-2.6.22-14-powerpc64-smp
 Architecture: powerpc
 Section: base
@@ -169,21 +199,6 @@
  .
  You likely do not want to install this package directly. Instead, install
  the linux-powerpc64-smp meta-package, which will ensure that upgrades work
- correctly, and that supporting packages are also installed.
-
-Package: linux-ubuntu-modules-2.6.22-14-powerpc-smp
-Architecture: powerpc
-Section: base
-Priority: optional
-Provides: apparmor-modules-2.1
-Depends: linux-image-2.6.22-14-powerpc-smp
-Pre-Depends: dpkg (>= 1.10.24)
-Description: Ubuntu supplied Linux modules for version 2.6.22 on 32-bit PowerPC SMP
- This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
- 32-bit PowerPC SMP.
- .
- You likely do not want to install this package directly. Instead, install
- the linux-powerpc-smp meta-package, which will ensure that upgrades work
  correctly, and that supporting packages are also installed.
 
 Package: linux-ubuntu-modules-2.6.22-14-rt
@@ -246,39 +261,22 @@
  the linux-sparc64-smp meta-package, which will ensure that upgrades work
  correctly, and that supporting packages are also installed.
 
+Package: linux-ubuntu-modules-2.6.22-14-tomoyo1.5.1
+Architecture: i386
+Section: base
+Priority: optional
+Provides: ndiswrapper-modules-1.9, apparmor-modules-2.1
+Depends: linux-image-2.6.22-14-tomoyo1.5.1
+Pre-Depends: dpkg (>= 1.10.24)
+Description: Ubuntu supplied Linux modules for version 2.6.22 on i386
+ This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
+ i386.
+ .
+ You likely do not want to install this package directly. Instead, install
+ the linux-tomoyo1.5.1 meta-package, which will ensure that upgrades work
+ correctly, and that supporting packages are also installed.
+
 Package: linux-ubuntu-modules-2.6.22-14-ume
 Architecture: i386
 Section: base
 Priority: optional
-Provides: ndiswrapper-modules-1.9, apparmor-modules-2.1
-Depends: linux-image-2.6.22-14-ume
-Pre-Depends: dpkg (>= 1.10.24)
-Description: Ubuntu supplied Linux modules for version 2.6.22 on Embedded/Mobile
- This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
- Embedded/Mobile.
- .
- You likely do not want to install this package directly. Instead, install
- the linux-ume meta-package, which will ensure that upgrades work
- correctly, and that supporting packages are also installed.
-
-Package: linux-ubuntu-modules-2.6.22-14-virtual
-Architecture: i386
-Section: base
-Priority: optional
-Provides: apparmor-modules-2.1
-Depends: linux-image-2.6.22-14-virtual
-Pre-Depends: dpkg (>= 1.10.24)
-Description: Ubuntu supplied Linux modules for version 2.6.22 on virtualised hardware
- This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
- virtualised hardware.
- .
- You likely do not want to install this package directly. Instead, install
- the linux-virtual meta-package, which will ensure that upgrades work
- correctly, and that supporting packages are also installed.
-
-Package: linux-ubuntu-modules-2.6.22-14-xen
-Architecture: i386 amd64
-Section: base
-Priority: optional
-Provides: ndiswrapper-modules-1.9, apparmor-modules-2.1
-Depends: linux-image-2.6.22-14-xen

=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules for Ubuntu linux-source 
#
# Use this however you want, just give credit where credit is due.
#
# Copyright (c) 2007 Ben Collins <bcollins@ubuntu.com>
#
# Example build for a specific arch:
#	fakeroot debian/rules binary-arch arch=i386 flavours="generic"
#

# This is the debhelper compatability version to use.
export DH_COMPAT=4
export LC_ALL=C
export SHELL=/bin/bash -e

# Common variables for all architectures
include debian/rules.d/0-common-vars.mk

# Pill in some arch specific stuff
include debian/rules.d/$(arch).mk

# Maintainer targets
include debian/rules.d/1-maintainer.mk

# Udeb stuff
include debian/rules.d/3-udebs.mk

# Debian Build System targets
binary: binary-indep binary-arch

binary-indep:
build-indep:

build: build-arch build-indep

clean: debian/control.stub
	dh_testdir
	dh_testroot
	dh_clean

	rm -rf $(udebdir)
	rm -rf $(builddir)
	rm -f $(stampdir)/stamp-*

	# This gets rid of the d-i packages in control
	cp -f debian/control.stub debian/control

# Builds the image, arch headers and debug packages
include debian/rules.d/2-binary-arch.mk

# Rules for building the udebs (debian-installer)
#include debian/rules.d/5-udebs.mk

# Misc stuff
debian/control.stub: debian/d-i/kernel-versions.in	\
		debian/scripts/control-create		\
		debian/control.stub.in			\
		debian/changelog			\
		$(wildcard debian/control.d/*)
	for i in debian/d-i/kernel-versions.in debian/control.stub.in; do	\
	  new=`echo $$i | sed 's/\.in$$//'`;					\
	  cat $$i | sed -e 's/PKGVER/$(pkgversion)/g' -e 's/ABINUM/$(abinum)/g' > \
		$$new;								\
	done
	$(SHELL) debian/scripts/control-head $@ $(release)-$(abinum) > $@.tmp
	flavours="$(wildcard debian/control.d/vars.*)";				\
	for i in $$flavours; do							\
	  $(SHELL) debian/scripts/control-create $$i |				\
		sed -e 's/PKGVER/$(pkgversion)/g' -e 's/ABINUM/$(abinum)/g' >>	\
		$@.tmp;						\
	done
	rm -f $@
	mv $@.tmp $@
	cp $@ debian/control

.PHONY: debian/control
debian/control: debian/control.stub
	rm -rf $(udebdir)
	install -d $(udebdir)/firmware/$(arch)
	install -d $(udebdir)/modules/$(arch)
	cp debian/d-i/modules/* $(udebdir)/modules/$(arch)/
	cp debian/d-i/firmware/* $(udebdir)/firmware/$(arch)/
	cp debian/d-i/package-list debian/d-i/kernel-versions \
		$(udebdir)/
	ln -s .. $(udebdir)/debian

	(cd $(udebdir); kernel-wedge gen-control) > $@
